Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.servlets
Class DefaultServlet.ResourceInfo

    java.lang.Object
      |
      +--org.apache.catalina.servlets.DefaultServlet.ResourceInfo

Enclosing class:
  DefaultServlet

protected class DefaultServlet.ResourceInfo
extends java.lang.Object

Field Summary
`javax.naming.directory.Attributes` | `attributes`
`boolean` | `collection`
`long` | `creationDate`
`long` | `date`
`javax.naming.directory.DirContext` | `directory`
`boolean` | `exists`
`Resource` | `file`
`java.lang.String` | `httpDate`
`protected java.io.InputStream` | `is`
`long` | `length`
`java.lang.Object` | `object`
`java.lang.String` | `path`
`javax.naming.directory.DirContext` | `resources`

Constructor Summary
`DefaultServlet.ResourceInfo(java.lang.String path, javax.naming.directory.DirContext resources)` Constructor.

Method Summary
`boolean` | `exists()` Test if the associated resource exists.
`java.io.InputStream` | `getStream()` Get IS from resource.
`void` | `recycle()`
`void` | `set(java.lang.String path, javax.naming.directory.DirContext resources)`
`void` | `setStream(java.io.InputStream is)` Set IS.
`java.lang.String` | `toString()` String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### object

    public java.lang.Object object

### directory

    public javax.naming.directory.DirContext directory

### file

    public Resource file

### attributes

    public javax.naming.directory.Attributes attributes

### path

    public java.lang.String path

### creationDate

    public long creationDate

### httpDate

    public java.lang.String httpDate

### date

    public long date

### length

    public long length

### collection

    public boolean collection

### exists

    public boolean exists

### resources

    public javax.naming.directory.DirContext resources

### is

    protected java.io.InputStream is

Constructor Detail

### DefaultServlet.ResourceInfo

    public DefaultServlet.ResourceInfo(java.lang.String path,
                                       javax.naming.directory.DirContext resources)

  Constructor.

Method Detail

### recycle

    public void recycle()

### set

    public void set(java.lang.String path,
                    javax.naming.directory.DirContext resources)

### exists

    public boolean exists()

  Test if the associated resource exists.

### toString

    public java.lang.String toString()

  String representation.

  Overrides:
    `toString` in class `java.lang.Object`

### setStream

    public void setStream(java.io.InputStream is)

  Set IS.

### getStream

    public java.io.InputStream getStream()
                                  throws java.io.IOException

  Get IS from resource.

    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.